/*table class=dataintable from https://www.w3school.com.cn/c5_20171220.css*/
table.dataintable {
	margin-top:15px;
	border-collapse:collapse;
	border:1px solid #aaa;
	width:100%;
	}

table.dataintable th {
	vertical-align:baseline;
	padding:5px 15px 5px 6px;
	background-color:#3F3F3F;
	border:1px solid #3F3F3F;
	text-align:left;
	color:#fff;
	}

table.dataintable td {
	vertical-align:text-top;
	padding:6px 15px 6px 6px;
	border:1px solid #aaa;
	}

table.dataintable tr:nth-child(odd) {
	background-color:#F5F5F5;
}

table.dataintable tr:nth-child(even) {
	background-color:#fff;
}

table.dataintable pre {
	width:auto;
	margin:0;
	padding:0;
	border:0;
	background-color:transparent;
	}

table.dataintable p {margin:0 0 2px 0;}

div#maincontent table.dataintable ul, div#maincontent table.dataintable li {
	list-style-type:none;
	margin:0;
	padding:0;
	}

table.dataintable td em
		{
		color:#0000ff;
		font-weight:normal;
		}
	
table.dataintable .table_value {color:#0F93D2;}

.no_wrap {white-space:nowrap;}

div#maincontent table.dataintable ul.listintable {
	margin:20px;
	padding:0;
	}

div#maincontent table.dataintable ul.listintable  li{
	list-style-type:disc;
	}


table.dataintable td.html5_new {
	background: transparent url(/ui2017/table_bg_html5.png) top right no-repeat;
	}

tr.notsupported {
	color:#999999;
	}
/********************************************************************************************************/

/*table  class=reference from https://www.runoob.com/wp-content/themes/runoob/style.css?v=1.147*/
table.reference {
    border-collapse:collapse;
    width:100%;
    margin-bottom:4px;
    margin-top:4px
}
table.reference {
    font-size:24px;
}
table.reference tr:nth-child(odd){
    background-color:#f6f4f0
}
table.reference tr:nth-child(even){
    background-color:#fff
}
table.reference th{
    color:#fff;
    background-color:#555;
    border:1px solid #555;
    font-size:12px;
    padding:3px;
    vertical-align:top;
    text-align:left
}
table.reference th a:link,table.reference th a:visited{
    color:#fff
}
table.reference th a:active,table.reference th a:hover{
    color:#ee872a
}
tr td:first-child{
    min-width:25px
}
table.reference td{
    line-height:2em;
    min-width:24px;
    border:1px solid #d4d4d4;
    padding:5px;
    padding-top:7px;
    padding-bottom:7px;
    vertical-align:top
}
table.reference td.example_code{
    vertical-align:bottom
}